PLplot: plcore.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Typedefs | Functions | Variables
plcore.h File Reference
`#include "plplotP.h"`
`#include "drivers.h"`
`#include "plDevs.h"`
`#include "disptab.h"`
`#include "pldebug.h"`

Go to the source code of this file.

## Typedefs
typedef void(* | PLDispatchInit )(PLDispatchTable *pdt)

## Functions
static const char * | utf8_to_ucs4 (const char *ptr, PLUNICODE *unichar)
static void | grline (short *, short *, PLINT)
static void | grpolyline (short *, short *, PLINT)
static void | grfill (short *, short *, PLINT)
static void | grgradient (short *, short *, PLINT)
static void | plSelectDev (void)
static void | pldi_ini (void)
static void | calc_diplt (void)
static void | calc_didev (void)
static void | calc_diori (void)
static void | calc_dimap (void)
static void | plgdevlst (const char **, const char **, int *, int)
static void | plInitDispatchTable (void)
static void | plLoadDriver (void)
| PLDLLIMPEXP_DATA (PLStream)*plsc

## Variables
static PLINT | xscl [PL_MAXPOLY]
static PLINT | yscl [PL_MAXPOLY]
static PLINT | initfont = 1
static PLINT | lib_initialized = 0
static PLStream | pls0
static PLINT | ipls
static PLStream * | pls [PL_NSTREAMS] = { &pls0 }
static PLDispatchTable ** | dispatch_table = 0
static int | npldrivers = 0
static PLDispatchInit | static_device_initializers []
static int | nplstaticdevices
static int | npldynamicdevices = 0

## Typedef Documentation

typedef void( * PLDispatchInit)(PLDispatchTable *pdt)

Definition at line 43 of file plcore.h.

## Function Documentation

static void calc_didev | ( | void |  | ) |
| static

static void calc_dimap | ( | void |  | ) |
| static

static void calc_diori | ( | void |  | ) |
| static

static void calc_diplt | ( | void |  | ) |
| static

static void grfill | ( | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |
| static

static void grgradient | ( | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |
| static

static void grline | ( | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |
| static

static void grpolyline | ( | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |
| static

static void pldi_ini | ( | void |  | ) |
| static

PLDLLIMPEXP_DATA | ( | PLStream |  | ) |

static void plgdevlst | ( | const char ** | ,
|  | const char ** | ,
|  | int * | ,
|  | int |
| ) |  |
| static

static void plInitDispatchTable | ( | void |  | ) |
| static

static void plLoadDriver | ( | void |  | ) |
| static

static void plSelectDev | ( | void |  | ) |
| static

static const char* utf8_to_ucs4 | ( | const char * | ptr,
|  | PLUNICODE * | unichar
| ) |  |
| static

## Variable Documentation

PLDispatchTable** dispatch_table = 0
| static

Definition at line 113 of file plcore.h.

PLINT initfont = 1
| static

Definition at line 74 of file plcore.h.

PLINT ipls
| static

Definition at line 88 of file plcore.h.

PLINT lib_initialized = 0
| static

Definition at line 76 of file plcore.h.

int npldrivers = 0
| static

Definition at line 114 of file plcore.h.

int npldynamicdevices = 0
| static

Definition at line 344 of file plcore.h.

int nplstaticdevices
| static

Initial value:
( sizeof ( static_device_initializers ) /
sizeof ( PLDispatchInit ) ) - 1

Definition at line 342 of file plcore.h.

PLStream* pls[PL_NSTREAMS] = { &pls0 }
| static

Definition at line 90 of file plcore.h.

PLStream pls0
| static

Definition at line 87 of file plcore.h.

PLDispatchInit static_device_initializers[]
| static

Definition at line 116 of file plcore.h.

PLINT xscl[PL_MAXPOLY]
| static

Definition at line 72 of file plcore.h.

PLINT yscl[PL_MAXPOLY]
| static

Definition at line 72 of file plcore.h.